org.richfaces.renderkit.resources

## Class EditorHTMLRenderer

- java.lang.Object
- - org.ajax4jsf.resource.BaseResourceRenderer
  - - org.richfaces.renderkit.resources.EditorHTMLRenderer

- All Implemented Interfaces:
    org.ajax4jsf.resource.ResourceRenderer

      public class EditorHTMLRenderer
      extends org.ajax4jsf.resource.BaseResourceRenderer

  Tiny_mce html resource pages renderer. Used for correcting scripts/images/css/irame src or href for normal loading by Resource Builder
  Author:
    Alexandr Levkovsky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorHTMLRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String[][]` | `getCommonAttrs()`
    `java.lang.String` | `getContentType()`
    `protected java.lang.String` | `getCssMappingSuffix()` Method to get exact xcss resource URI suffix
    `protected java.lang.String` | `getHrefAttr()`
    `java.lang.String` | `getScriptSuffix()` Getter for scriptSuffix
    `protected java.lang.String` | `getSriptMappingSuffix()` Method to get exact script resource URI suffix
    `protected java.lang.String` | `getTag()`
    `java.lang.String` | `getXcssSuffix()` Getter for xcssSuffix
    `boolean` | `requireFacesContext()`
    `int` | `send(org.ajax4jsf.resource.InternetResource base, org.ajax4jsf.resource.ResourceContext context)`

    - ### Methods inherited from class org.ajax4jsf.resource.BaseResourceRenderer

      `customEncode, encode, encode, encodeBegin, encodeEnd, getData, sendStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditorHTMLRenderer

          public EditorHTMLRenderer()

  - ### Method Detail

    - #### getCommonAttrs

          protected java.lang.String[][] getCommonAttrs()

      Specified by:
        `getCommonAttrs` in class `org.ajax4jsf.resource.BaseResourceRenderer`

    - #### getHrefAttr

          protected java.lang.String getHrefAttr()

      Specified by:
        `getHrefAttr` in class `org.ajax4jsf.resource.BaseResourceRenderer`

    - #### getTag

          protected java.lang.String getTag()

      Specified by:
        `getTag` in class `org.ajax4jsf.resource.BaseResourceRenderer`

    - #### getContentType

          public java.lang.String getContentType()

    - #### send

          public int send(org.ajax4jsf.resource.InternetResource base,
                 org.ajax4jsf.resource.ResourceContext context)
                   throws java.io.IOException

      Specified by:
        `send` in interface `org.ajax4jsf.resource.ResourceRenderer`
      Overrides:
        `send` in class `org.ajax4jsf.resource.BaseResourceRenderer`
      Throws:
        `java.io.IOException`

    - #### getSriptMappingSuffix

          protected java.lang.String getSriptMappingSuffix()

      Method to get exact script resource URI suffix
      Returns:
        string with script resource URI suffix

    - #### getCssMappingSuffix

          protected java.lang.String getCssMappingSuffix()

      Method to get exact xcss resource URI suffix
      Returns:
        string with xcss resource URI suffix

    - #### requireFacesContext

          public boolean requireFacesContext()

      Specified by:
        `requireFacesContext` in interface `org.ajax4jsf.resource.ResourceRenderer`
      Overrides:
        `requireFacesContext` in class `org.ajax4jsf.resource.BaseResourceRenderer`

    - #### getScriptSuffix

          public java.lang.String getScriptSuffix()

      Getter for scriptSuffix
      Returns:
        the scriptSuffix

    - #### getXcssSuffix

          public java.lang.String getXcssSuffix()

      Getter for xcssSuffix
      Returns:
        the xcssSuffix

Copyright © 2013. All Rights Reserved.